# Get Controlled Vocabulary by ID. Retrieve the Controlled Vocabulary and its attributes by Controlled Vocabulary Id In response, it will contain the list of metadata key/value pair and metadata definition attributes like id, name, type and search fields etc. Endpoint: GET /metadata/vocabulary/{id} Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. ## Path parameters: - `id` (string, required) Specify a Controlled Vocabulary ID. ## Response 200 fields (application/json): - `createdEpoch` (integer) Create time in milliseconds Example: 1613877219787 - `customerId` (string) Customer Id Example: "157167185123342" - `lastUpdatedEpoch` (integer) Update time in milliseconds Example: 1613877219787 - `metadataDefinitionId` (string) Field ID Example: "6c921f5c-24c2-40b9-8718-3ad2d4a6be54" - `metadataDefinitionName` (string) Field Name Example: "Colors" - `metadataDefinitionSearchField` (string) Map search field for this metadata definition Example: "colors" - `metadataDefinitionType` (string) Example: "controlledVocabulary" - `metadataDocument` (object) Vocabulary metadata - `metadataDocument.values` (array) - `metadataDocument.values.valueId` (string) - `metadataDocument.values.valueName` (string) Example: "Red" - `metadataDocument.searchable` (boolean) Toggle searchability ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string) ## Response 404 fields (application/json): - `message` (string) - `detail` (string)